Bug 290571 - kdesktop and symlink default wallpaper
kdesktop and symlink default wallpaper
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kde-settings (Show other bugs)
rawhide
All Linux
urgent Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 06:27 EDT by Sebastian Vahl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-26 13:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Vahl 2007-09-14 06:27:28 EDT
Description of problem:
The default wallpaper is now (or atm) only a symlink from
/usr/share/backgrounds/images/default.jpg to
/usr/share/backgrounds/infinity/am00.png. kdesktop seems to have problems with
this: The wallpapaper is not shown unless you set it directly to am00.jpg


Version-Release number of selected component (if applicable):
kdebase-3.5.7-14.fc8
fedora-logos-7.92.0-4.fc8
desktop-backgrounds-basic-7.92-4
gnome-backgrounds-2.18.3-2.fc8


How reproducible:


Steps to Reproduce:
1. Login into a new user account 

or

1. Set wallpaper to /usr/share/backgrounds/images/default.jpg
  
Actual results:

No wallpaper is shown.


Expected results:

Wallpaper should be displayed.


Additional info:
Maybe we should talk to the art people in putting the wallpaper in fedora-logos
again. With this we could also avoid pulling in desktop-backgrounds-basic which
would save some space on the livecd (FYI: I've missed this on F8Test2).
Comment 1 Kevin Kofler 2007-09-14 11:03:01 EDT
Is this really a symlink from a .jpg to a .png? If so, this is probably what 
confuses kdesktop.
Comment 2 Sebastian Vahl 2007-09-14 18:18:38 EDT
Sorry, my fault. It's png to png:
# ls -l /usr/share/backgrounds/images/default.png
lrwxrwxrwx 1 root root 20 10. Sep 
17:14 /usr/share/backgrounds/images/default.png -> ../infinity/am00.png
Comment 3 Sebastian Vahl 2007-09-18 14:09:41 EDT
Uh. It seems that this is not so easy. As discussed in todays kde sig meeting
I've tried to replace the symlink with a hardlink - but the behaviour is the
same. So I've done some further tests (with the normal symlink again).

# First try
1. kcmshell background
2. Click on the "open file dialog" to choose another wallpaper
3. Click on default.png
4. Click on preview and wait some seconds
-> The wallpaper would be displayed in the preview
5. Click on Ok
6. In the main screen click on "Apply" or "Ok"
-> The wallpaper wouldn't be displayed

# Second try
1. kcmshell background
2. Click on the "open file dialog" to choose another wallpaper
3. Click on default-5_4.png
4. Click on Ok.
5. In the main screen click on "Apply" or "Ok"
-> The wallpaper would be displayed!

The curious thing here is, that default-5_4.png is also a symlink to the same
am00.png:
# ls -l images/default-5_4.png 
lrwxrwxrwx 1 0 0 20 10. Sep 17:14 images/default-5_4.png -> ../infinity/am00.png
Comment 4 Kevin Kofler 2007-09-18 14:27:27 EDT
Maybe it's the name default.png which is the problem?
Comment 5 Sebastian Vahl 2007-09-18 20:38:36 EDT
(In reply to comment #4)
> Maybe it's the name default.png which is the problem?

Seems so. If I just rename default.png to default.jpg (without converting the
png) the wallpaper would be displayed.
Comment 6 Sebastian Vahl 2007-09-26 11:09:02 EDT
I don't know if something has changed to the wallpaper, but when I change the
(now) wrong entry in /usr/share/kde-settings/kde-profile/default/share/config
from default.jpg to default.png the wallpaper would be displayed.

Someone should recheck this if there isn't another problem and we should get an
updated kde-settings package in test3. So I've re-assigned this package against
kde-settings and set priority to urgent.


Comment 7 Sebastian Vahl 2007-09-26 11:21:35 EDT
(In reply to comment #6)
> I don't know if something has changed to the wallpaper, but when I change the
> (now) wrong entry in /usr/share/kde-settings/kde-profile/default/share/config
> from default.jpg to default.png the wallpaper would be displayed.

I meant this one in
/usr/share/kde-settings/kde-profile/default/share/config/kdesktoprc:

Wallpaper=/usr/share/backgrounds/images/default.jpg
Comment 8 Rex Dieter 2007-09-26 13:49:56 EDT
* Wed Sep 26 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 3.5-31
- kdesktoprc: [Desktop0] Wallpaper=/usr/share/backgrounds/images/default.png
  (#290571)
- kopeterc: [ContactList] SmoothScrolling=false

Note You need to log in before you can comment on or make changes to this bug.